## kdeclarative 5.80.0

=== debian/changelog ===
kdeclarative (5.80.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.80.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 18 Mar 2021 11:07:00 +0000

kdeclarative (5.79.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.79.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Feb 2021 12:20:48 +0000

kdeclarative (5.78.0-2ubuntu1) hirsute; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - Keep Kubuntu symbols files.
    - Disable build-time tests.

 -- Rik Mills <rikmills@kde.org>  Sat, 30 Jan 2021 10:17:49 +0000

kdeclarative (5.78.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.78.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Jan 2021 09:55:23 +0000

kdeclarative (5.77.0-2ubuntu1) hirsute; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - Keep Kubuntu symbols files.
    - Disable build-time tests.

 -- Rik Mills <rikmills@kde.org>  Wed, 06 Jan 2021 22:26:51 +0000

kdeclarative (5.77.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.77.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 13 Dec 2020 20:09:24 +0000

kdeclarative (5.76.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.75.0)
  * New upstream release (5.76.0)
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 14 Nov 2020 13:21:44 +0000

=== debian/control ===
Source: kdeclarative
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.80.0~),
               graphviz,
               libepoxy-dev,
               libkf5config-dev (>= 5.80.0~),
               libkf5globalaccel-dev (>= 5.80.0~),
               libkf5guiaddons-dev (>= 5.80.0~),
               libkf5i18n-dev (>= 5.80.0~),
               libkf5iconthemes-dev (>= 5.80.0~),
               libkf5kio-dev (>= 5.80.0~),
               libkf5notifications-dev (>= 5.80.0~),
               libkf5package-dev (>= 5.80.0~),
               libkf5widgetsaddons-dev (>= 5.80.0~),
               libkf5windowsystem-dev (>= 5.80.0~),
               libqt5sql5-sqlite,
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qml-module-qtquick2,
               qtbase5-dev (>= 5.14.0~),
               qtdeclarative5-dev (>= 5.14.0~),
               qttools5-dev,
               qttools5-dev-tools,
               xauth,
               xvfb,
Standards-Version: 4.5.1
Homepage: https://invent.kde.org/frameworks/kdeclarative
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdeclarative
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdeclarative
Rules-Requires-Root: no

Package: kpackagelauncherqml
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: commandline tool for launching kpackage QML application
 A small commandline tool to launch KPackages (QML applications).
Breaks: kirigami-gallery (<< 5.49)

Package: libkf5calendarevents5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: plasma-framework (<< 5.54)
Description: provides integration of QML and KDE frameworks -- calendarevents
 Framework providing integration of QML and other KDE frameworks such
 as making i18n available and using kio

Package: libkf5declarative-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: provides integration of QML and KDE frameworks
 Framework providing integration of QML and other KDE frameworks such
 as making i18n available and using kio.
 .
 This package contains the translation files.

Package: libkf5declarative-dev
Section: libdevel
Architecture: any
Depends: libkf5calendarevents5 (= ${binary:Version}),
         libkf5declarative5 (= ${binary:Version}),
         libkf5kio-dev (>= 5.80.0~),
         libkf5package-dev (>= 5.80.0~),
         libkf5quickaddons5 (= ${binary:Version}),
         qtbase5-dev (>= 5.13.0~),
         qtdeclarative5-dev (>= 5.13.0~),
         ${misc:Depends},
Recommends: libkf5declarative-doc (= ${source:Version})
Description: development files for kdeclarative
 Framework providing integration of QML and other KDE frameworks such
 as making i18n available and using kio.
 .
 Contains development files for kdeclarative.

Package: libkf5declarative-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: provides integration of QML and KDE frameworks (documentation)
 Framework providing integration of QML and other KDE frameworks such
 as making i18n available and using kio.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5declarative5
Architecture: any
Multi-Arch: same
Depends: libkf5declarative-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: libkf5plasma5 (<< 5.42),
        libkf5plasmaquick5 (<< 5.54),
        plasma-framework (<< 5.54),
Recommends: kpackagelauncherqml
Description: provides integration of QML and KDE frameworks
 Framework providing integration of QML and other KDE frameworks such
 as making i18n available and using kio.

Package: libkf5quickaddons5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: provides integration of QML and KDE frameworks -- quickaddons
 Framework providing optimized image texture caching.
Breaks: libkf5kcmutils5 (<< 5.54),
        libkf5plasmaquick5 (<< 5.54),
        plasma-framework (<< 5.54),

Package: qml-module-org-kde-draganddrop
Architecture: any
Multi-Arch: same
Depends: libkf5declarative5 (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: provides integration of QML and KDE frameworks - draganddrop
 Provides QML draganddrop functionality.

Package: qml-module-org-kde-kcm
Architecture: any
Multi-Arch: same
Depends: libkf5declarative5 (>= ${source:Version}),
         qml-module-org-kde-kirigami2 (>= 5.54),
         ${misc:Depends},
         ${shlibs:Depends},
Description: provides integration of QML and KDE Frameworks - kcm
 This import contains KDE extras that are visually similar to Qt Quick
 Controls.
 .
 This package contains the QML files used by libkf5declarative.

Package: qml-module-org-kde-kconfig
Architecture: any
Multi-Arch: same
Depends: libkf5declarative5 (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: provides integration of QML and KDE Frameworks - kconfig
 This import contains KDE extras that are visually similar to Qt Quick
 Controls.
 .
 This package contains the QML files used by libkf5declarative.
Breaks: plasma-framework (<< 5.54)

Package: qml-module-org-kde-kcoreaddons
Architecture: any
Multi-Arch: same
Depends: libkf5declarative5 (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: provides integration of QML and KDE frameworks - kcoreaddons
 Provides access from QML to libkf5coreaddons classes.

Package: qml-module-org-kde-kio
Architecture: any
Multi-Arch: same
Depends: libkf5declarative5 (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: provides integration of QML and KDE Frameworks - kio
 This import contains KDE extras that are visually similar to Qt Quick
 Controls.
 .
 This package contains the QML files used by libkf5declarative.

Package: qml-module-org-kde-kquickcontrols
Architecture: any
Multi-Arch: same
Depends: libkf5declarative5 (>= ${source:Version}),
         qml-module-qtquick-controls,
         qml-module-qtquick-dialogs,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: plasma-framework (<< 5.54)
Description: provides integration of QML and KDE frameworks - kquickcontrols
 This import contains KDE extras that are visually similar to Qt Quick
 Controls.

Package: qml-module-org-kde-kquickcontrolsaddons
Architecture: any
Multi-Arch: same
Depends: libkf5declarative5 (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: libkf5purpose-bin (<< 5.54),
        libkf5purpose5 (<< 5.54),
        plasma-framework (<< 5.54),
        qml-module-org-kde-kirigami2 (<< 5.44),
Description: provides integration of QML and KDE Frameworks - kquickcontrolsaddons
 This import contains KDE extras that are visually similar to Qt Quick
 Controls.
 .
 This package contains the QML files used by libkf5declarative.

Package: qml-module-org-kde-kwindowsystem
Architecture: any
Multi-Arch: same
Depends: libkf5declarative5 (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: provides integration of QML and KDE frameworks - kwindowsystem
 Provides access from QML to libkf5windowsystem classes.

## kdeclarative 5.86.0

=== debian/changelog ===
kdeclarative (5.86.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.86.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 13 Sep 2021 12:47:08 +0100

kdeclarative (5.85.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.85.0)
  * New required qml module package qml-module-org-kde-graphicaleffects.

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Aug 2021 11:25:58 +0100

kdeclarative (5.84.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.84.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 11 Jul 2021 08:59:18 +0100

kdeclarative (5.83.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.83.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jun 2021 12:16:11 +0100

kdeclarative (5.82.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.82.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 08 May 2021 11:55:41 +0100

kdeclarative (5.81.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.81.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 28 Apr 2021 10:28:22 +0100

=== debian/control ===
--- 
+++ 
@@ -7,19 +7,19 @@
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.80.0~),
+               extra-cmake-modules (>= 5.86.0~),
                graphviz,
                libepoxy-dev,
-               libkf5config-dev (>= 5.80.0~),
-               libkf5globalaccel-dev (>= 5.80.0~),
-               libkf5guiaddons-dev (>= 5.80.0~),
-               libkf5i18n-dev (>= 5.80.0~),
-               libkf5iconthemes-dev (>= 5.80.0~),
-               libkf5kio-dev (>= 5.80.0~),
-               libkf5notifications-dev (>= 5.80.0~),
-               libkf5package-dev (>= 5.80.0~),
-               libkf5widgetsaddons-dev (>= 5.80.0~),
-               libkf5windowsystem-dev (>= 5.80.0~),
+               libkf5config-dev (>= 5.86.0~),
+               libkf5globalaccel-dev (>= 5.86.0~),
+               libkf5guiaddons-dev (>= 5.86.0~),
+               libkf5i18n-dev (>= 5.86.0~),
+               libkf5iconthemes-dev (>= 5.86.0~),
+               libkf5kio-dev (>= 5.86.0~),
+               libkf5notifications-dev (>= 5.86.0~),
+               libkf5package-dev (>= 5.86.0~),
+               libkf5widgetsaddons-dev (>= 5.86.0~),
+               libkf5windowsystem-dev (>= 5.86.0~),
                libqt5sql5-sqlite,
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
@@ -67,8 +67,8 @@
 Architecture: any
 Depends: libkf5calendarevents5 (= ${binary:Version}),
          libkf5declarative5 (= ${binary:Version}),
-         libkf5kio-dev (>= 5.80.0~),
-         libkf5package-dev (>= 5.80.0~),
+         libkf5kio-dev (>= 5.86.0~),
+         libkf5package-dev (>= 5.86.0~),
          libkf5quickaddons5 (= ${binary:Version}),
          qtbase5-dev (>= 5.13.0~),
          qtdeclarative5-dev (>= 5.13.0~),
@@ -124,6 +124,18 @@
 Description: provides integration of QML and KDE frameworks - draganddrop
  Provides QML draganddrop functionality.
 
+Package: qml-module-org-kde-graphicaleffects
+Architecture: any
+Multi-arch: same
+Depends: libkf5declarative5 (>= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends},
+Description: provides integration of QML and KDE Frameworks - graphicaleffects
+ This import contains KDE extras that are visually similar to Qt Quick
+ Controls.
+ .
+ This package contains the QML files used by libkf5declarative.
+
 Package: qml-module-org-kde-kcm
 Architecture: any
 Multi-Arch: same

## kdeclarative 5.90.0

=== debian/changelog ===
kdeclarative (5.90.0-1+rpi1) bookworm-staging; urgency=medium

  [changes brought forward from 5.12.0-2+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Sun, 19 Jul 2015 02:00:18 +0000]
  * Add symbols file hack for raspbian.

  [changes introduced in version 5.27.0-1+rpi1 by Peter Michael Green]
  * Disable testsuite.

 -- Raspbian forward porter <root@raspbian.org>  Fri, 25 Feb 2022 05:48:39 +0000

kdeclarative (5.90.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.89.0).

  [ Aurélien COUDERC ]
  * New upstream release (5.90.0).
  * Added myself to the uploaders.
  * Update symbols from build for 5.90.0.
  * Update copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 11 Feb 2022 23:46:44 +0100

kdeclarative (5.88.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.87.0).
  * New upstream release (5.88.0).
  * Force-bump frameworks internal b-d to 5.88.

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Nov 2021 06:07:38 +0900

kdeclarative (5.86.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.86.0).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Norbert Preining <norbert@preining.info>  Mon, 13 Sep 2021 10:52:42 +0900

kdeclarative (5.85.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sat, 28 Aug 2021 23:42:46 +0900

kdeclarative (5.85.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.85.0).
  * New required qml module package qml-module-org-kde-graphicaleffects.

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 08:06:43 +0900

kdeclarative (5.83.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 11:53:01 +0900

kdeclarative (5.83.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.83.0).

 -- Norbert Preining <norbert@preining.info>  Sun, 13 Jun 2021 09:16:32 +0900

kdeclarative (5.82.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.82.0).
  * Removed Maximiliano Curia from the uploaders, thanks for your work
    on the package!

 -- Norbert Preining <norbert@preining.info>  Sat, 08 May 2021 21:08:21 +0900

kdeclarative (5.81.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream version (5.81.0)
  * Bump inter-frameworks dependencies.

 -- Norbert Preining <norbert@preining.info>  Mon, 12 Apr 2021 10:18:17 +0900

kdeclarative (5.80.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream version (5.80.0)
  * Bump inter-frameworks dependencies.

 -- Norbert Preining <norbert@preining.info>  Mon, 15 Mar 2021 15:10:33 +0900

kdeclarative (5.79.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * Update symbols.
  * Remove graphviz from build depends.
  * New upstream release (5.79.0).

 -- Norbert Preining <norbert@preining.info>  Tue, 16 Feb 2021 06:45:27 +0900

=== debian/control ===
--- 
+++ 
@@ -2,38 +2,37 @@
 Section: libs
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Maximiliano Curia <maxy@debian.org>,
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Norbert Preining <norbert@preining.info>,
-Build-Depends: cmake (>= 3.5~),
+Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.86.0~),
-               graphviz,
+               extra-cmake-modules (>= 5.90.0~),
                libepoxy-dev,
-               libkf5config-dev (>= 5.86.0~),
-               libkf5globalaccel-dev (>= 5.86.0~),
-               libkf5guiaddons-dev (>= 5.86.0~),
-               libkf5i18n-dev (>= 5.86.0~),
-               libkf5iconthemes-dev (>= 5.86.0~),
-               libkf5kio-dev (>= 5.86.0~),
-               libkf5notifications-dev (>= 5.86.0~),
-               libkf5package-dev (>= 5.86.0~),
-               libkf5widgetsaddons-dev (>= 5.86.0~),
-               libkf5windowsystem-dev (>= 5.86.0~),
+               libkf5config-dev (>= 5.90.0~),
+               libkf5globalaccel-dev (>= 5.90.0~),
+               libkf5guiaddons-dev (>= 5.90.0~),
+               libkf5i18n-dev (>= 5.90.0~),
+               libkf5iconthemes-dev (>= 5.90.0~),
+               libkf5kio-dev (>= 5.90.0~),
+               libkf5notifications-dev (>= 5.90.0~),
+               libkf5package-dev (>= 5.90.0~),
+               libkf5widgetsaddons-dev (>= 5.90.0~),
+               libkf5windowsystem-dev (>= 5.90.0~),
                libqt5sql5-sqlite,
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qml-module-qtquick2,
-               qtbase5-dev (>= 5.14.0~),
-               qtdeclarative5-dev (>= 5.14.0~),
+               qtbase5-dev (>= 5.15.2~),
+               qtdeclarative5-dev (>= 5.15.2~),
                qttools5-dev,
                qttools5-dev-tools,
                xauth,
                xvfb,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://invent.kde.org/frameworks/kdeclarative
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdeclarative
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdeclarative
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdeclarative
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdeclarative.git
 Rules-Requires-Root: no
 
 Package: kpackagelauncherqml
@@ -67,11 +66,11 @@
 Architecture: any
 Depends: libkf5calendarevents5 (= ${binary:Version}),
          libkf5declarative5 (= ${binary:Version}),
-         libkf5kio-dev (>= 5.86.0~),
-         libkf5package-dev (>= 5.86.0~),
+         libkf5kio-dev (>= 5.90.0~),
+         libkf5package-dev (>= 5.90.0~),
          libkf5quickaddons5 (= ${binary:Version}),
-         qtbase5-dev (>= 5.13.0~),
-         qtdeclarative5-dev (>= 5.13.0~),
+         qtbase5-dev (>= 5.15.2~),
+         qtdeclarative5-dev (>= 5.15.2~),
          ${misc:Depends},
 Recommends: libkf5declarative-doc (= ${source:Version})
 Description: development files for kdeclarative

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all reproducible=-fixfilepath

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_build:
	sed -i s/arch=!armel/optional=meh/ debian/libkf5declarative5.symbols
	dh_auto_build

override_dh_auto_clean:
	dh_auto_clean
	sed -i s/optional=meh/arch=!armel/ debian/libkf5declarative5.symbols

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	#xvfb-run -a --server-args="-screen 0 1024x768x24+32" dh_auto_test --no-parallel
endif

## kdeclarative 5.92.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "5.92.0") # handled by release scripts
set(KF_DEP_VERSION "5.92.0") # handled by release scripts
project(KDeclarative VERSION ${KF_VERSION})

# Dependencies
include(FeatureSummary)
find_package(ECM 5.92.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

set(REQUIRED_QT_VERSION 5.15.2)

include(KDEInstallDirs)
find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED Qml Quick Gui)

include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(KDEGitCommitHooks)

find_package(KF5Config ${KF_DEP_VERSION} REQUIRED)
find_package(KF5I18n ${KF_DEP_VERSION} REQUIRED)
find_package(KF5IconThemes ${KF_DEP_VERSION} REQUIRED)
find_package(KF5KIO ${KF_DEP_VERSION} REQUIRED)
find_package(KF5WidgetsAddons ${KF_DEP_VERSION} REQUIRED)
find_package(KF5WindowSystem ${KF_DEP_VERSION} REQUIRED)
find_package(KF5GuiAddons ${KF_DEP_VERSION} REQUIRED)
find_package(KF5Package ${KF_DEP_VERSION} REQUIRED)
find_package(KF5Notifications ${KF_DEP_VERSION} REQUIRED)


if(NOT WIN32)
    find_package(KF5GlobalAccel ${KF_DEP_VERSION} REQUIRED)
endif()
#########################################################################

add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f02)
add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055100)

#add_definitions(-Wno-deprecated)

# Includes

include(ECMGenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(CMakePackageConfigHelpers)
include(ECMAddQch)

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

option(BUILD_EXAMPLES "Build and install examples." OFF)
option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")


# ECM setup
ecm_setup_version(
  PROJECT
  VARIABLE_PREFIX KDECLARATIVE
  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kdeclarative_version.h"
  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5DeclarativeConfigVersion.cmake"
  SOVERSION 5)

# Subdirectories
add_definitions(-DTRANSLATION_DOMAIN=\"kdeclarative5\")
ki18n_install(po)

if (QT_MAJOR_VERSION STREQUAL "5")
    find_package(epoxy)
    set_package_properties(epoxy PROPERTIES DESCRIPTION "libepoxy"
        URL "https://github.com/anholt/libepoxy"
        TYPE OPTIONAL
        PURPOSE "OpenGL dispatch library"
    )
endif()
set(HAVE_EPOXY 0)
if(epoxy_FOUND)
    set(HAVE_EPOXY 1)
endif()
add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif()

# Create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5Declarative")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5Declarative_QCH
        FILE KF5DeclarativeQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5DeclarativeQchTargets.cmake\")")
endif()

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5DeclarativeConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5DeclarativeConfig.cmake"
  INSTALL_DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5DeclarativeConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5DeclarativeConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT
  KF5DeclarativeTargets
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  FILE KF5DeclarativeTargets.cmake
  NAMESPACE KF5::
  COMPONENT Devel
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/kdeclarative_version.h"
  DESTINATION "${KDE_INSTALL_INCLUDEDIR_KF}/KDeclarative"
  COMPONENT Devel
)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

if(KF5Config_FOUND AND KF5I18n_FOUND AND KF5IconThemes_FOUND AND KF5KIO_FOUND)
  message("Dependencies for libkdeclarative found: it will be built")
else()
  message("In order to build libkdeclarative you need KF5Config, KF5I18n, KF5IconThemes and KF5KIO")
endif()

if(KF5I18n_FOUND AND KF5WidgetsAddons_FOUND AND KF5WindowSystem_FOUND AND KF5KIO_FOUND AND KF5GuiAddons_FOUND)
  message("Dependencies for KQuickControls found: it will be built")
else()
  message("In order to build KQuickControls you need KF5I18n, KF5WidgetsAddons, KF5WindowSystem, KF5GlobalAccel, KF5KIO and KF5GuiAddons")
endif()

if(KF5CoreAddons_FOUND)
  message("Dependencies for KCoreAddons QML bindings found; it will be built")
else()
  message("In order to build KCoreAddons QML bindings you need KCoreAddons")
endif()


kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== src/calendarevents/CMakeLists.txt ===
set(calendar-integration_SRCS
    calendareventsplugin.cpp
    calendareventsplugin.h
    eventdata_p.cpp
)

add_library(KF5CalendarEvents ${calendar-integration_SRCS})
generate_export_header(KF5CalendarEvents BASE_NAME CalendarEvents)
add_library(KF5::CalendarEvents ALIAS KF5CalendarEvents)

target_link_libraries(KF5CalendarEvents PUBLIC Qt${QT_MAJOR_VERSION}::Core)

target_include_directories(KF5CalendarEvents INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/KDeclarative>")
set_target_properties(KF5CalendarEvents PROPERTIES VERSION ${KDECLARATIVE_VERSION}
                                                SOVERSION ${KDECLARATIVE_SOVERSION}
                                                EXPORT_NAME CalendarEvents
)

install(TARGETS KF5CalendarEvents EXPORT KF5DeclarativeTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

ecm_generate_headers(CalendarEvents_CamelCase_HEADERS
  HEADER_NAMES
  CalendarEventsPlugin

  PREFIX CalendarEvents
  REQUIRED_HEADERS calendareventsplugin.h
)
install(FILES ${CalendarEvents_CamelCase_HEADERS} DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KDeclarative/CalendarEvents COMPONENT Devel)

install (FILES
        calendareventsplugin.h
	${CMAKE_CURRENT_BINARY_DIR}/calendarevents_export.h
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KDeclarative/calendarevents COMPONENT Devel
)

=== src/kdeclarative/CMakeLists.txt ===

set(kdeclarative_SRCS
    configpropertymap.cpp
    configpropertymap.h
    kdeclarative.cpp
    kdeclarative.h
    private/kdeclarative_p.h
    private/kiconprovider.cpp
    private/kiconprovider_p.h
    qmlobject.cpp
    qmlobject.h
    qmlobjectsharedengine.cpp
    qmlobjectsharedengine.h

)
if(NOT ANDROID)
    list(APPEND kdeclarative_SRCS private/kioaccessmanagerfactory.cpp private/kioaccessmanagerfactory_p.h)
endif()

add_library(KF5Declarative ${kdeclarative_SRCS})
add_library(KF5::Declarative ALIAS KF5Declarative)
ecm_generate_export_header(KF5Declarative
    EXPORT_FILE_NAME ${KDeclarative_BINARY_DIR}/kdeclarative/kdeclarative_export.h
    BASE_NAME KDeclarative
    GROUP_BASE_NAME KF
    VERSION ${KF_VERSION}
    DEPRECATED_BASE_VERSION 0
    DEPRECATION_VERSIONS 5.0 5.45 5.75 5.91
    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
)

# Apps must include <KDeclarative/File> or <kdeclarative/file.h>
target_include_directories(KF5Declarative INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/KDeclarative>")

target_link_libraries(KF5Declarative
  PUBLIC
    KF5::ConfigCore # KCoreConfigSkeleton, in ConfigPropertyMap
    Qt${QT_MAJOR_VERSION}::Qml
    KF5::Package
  PRIVATE
    Qt${QT_MAJOR_VERSION}::Quick  #QQuickImageProvider
    KF5::I18n       #i18n bindings
    KF5::KIOWidgets     #KIO::Integration::AccessManager
    KF5::IconThemes #KIconProvider
)
set(KDeclarative_BUILD_INCLUDE_DIRS ${KDeclarative_BINARY_DIR} ${CMAKE_CURRENT_BINARY_DIR})
target_include_directories(KF5Declarative PUBLIC "$<BUILD_INTERFACE:${KDeclarative_BUILD_INCLUDE_DIRS}>")

set_target_properties(KF5Declarative
  PROPERTIES VERSION ${KDECLARATIVE_VERSION}
  SOVERSION ${KDECLARATIVE_SOVERSION}
  EXPORT_NAME Declarative
)

# Install files
ecm_generate_headers(KDeclarative_CamelCase_HEADERS
  HEADER_NAMES
  KDeclarative
  QmlObject
  QmlObjectSharedEngine
  ConfigPropertyMap

  PREFIX KDeclarative
  REQUIRED_HEADERS KDeclarative_HEADERS
)
install(FILES ${KDeclarative_CamelCase_HEADERS} DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KDeclarative/KDeclarative COMPONENT Devel)

install(TARGETS KF5Declarative
  EXPORT KF5DeclarativeTargets
  ${KF5_INSTALL_TARGETS_DEFAULT_ARGS}
)

install(FILES
  ${KDeclarative_BINARY_DIR}/kdeclarative/kdeclarative_export.h
  ${KDeclarative_HEADERS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KDeclarative/kdeclarative
  COMPONENT Devel
)

# make available to ecm_add_qch in parent folder
set(KDeclarative_QCH_SOURCES ${KDeclarative_HEADERS} PARENT_SCOPE)
set(KDeclarative_QCH_INCLUDE_DIRS ${KDeclarative_BUILD_INCLUDE_DIRS} PARENT_SCOPE)

include(ECMGeneratePriFile)
ecm_generate_pri_file(BASE_NAME KDeclarative LIB_NAME KF5Declarative DEPS "qml" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF}/KDeclarative)
install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

=== src/qmlcontrols/draganddrop/CMakeLists.txt ===
project(draganddrop)

set(declarativedragdrop_SRCS
    DeclarativeDragArea.cpp
    DeclarativeDragArea.h
    DeclarativeDragDropEvent.cpp
    DeclarativeDragDropEvent.h
    DeclarativeDropArea.cpp
    DeclarativeDropArea.h
    DeclarativeMimeData.cpp
    DeclarativeMimeData.h
    draganddropplugin.cpp
    draganddropplugin.h
    MimeDataWrapper.cpp
    MimeDataWrapper.h
)

add_library(draganddropplugin ${declarativedragdrop_SRCS})
target_link_libraries(draganddropplugin
        Qt${QT_MAJOR_VERSION}::Core
        Qt${QT_MAJOR_VERSION}::Quick
        Qt${QT_MAJOR_VERSION}::Qml
        Qt${QT_MAJOR_VERSION}::Gui
)

if(WIN32 AND BUILD_SHARED_LIBS)
    set_target_properties(draganddropplugin PROPERTIES PREFIX "")
endif()

install(TARGETS draganddropplugin DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/draganddrop)

install(FILES qmldir DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/draganddrop)

=== src/qmlcontrols/kcoreaddons/CMakeLists.txt ===
project(kcoreaddons)

set(kcoreaddonsplugin_SRCS
    formats.cpp
    formats.h
    kcoreaddonsplugin.cpp
    kcoreaddonsplugin.h
    kuserproxy.cpp
    kuserproxy.h

    )

add_library(kcoreaddonsplugin ${kcoreaddonsplugin_SRCS})
target_link_libraries(kcoreaddonsplugin
        Qt${QT_MAJOR_VERSION}::Core
        Qt${QT_MAJOR_VERSION}::Quick
        Qt${QT_MAJOR_VERSION}::Qml
        KF5::CoreAddons
)

if(WIN32 AND BUILD_SHARED_LIBS)
    set_target_properties(kcoreaddonsplugin PROPERTIES PREFIX "")
endif()

install(TARGETS kcoreaddonsplugin DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/kcoreaddons)

install(FILES qmldir DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/kcoreaddons)

=== src/qmlcontrols/kioplugin/CMakeLists.txt ===
project(kioplugin)

set(kioplugin_SRCS
    kioplugin.cpp
    kioplugin.h
    krunproxy.cpp
    krunproxy.h
    )

add_library(kio ${kioplugin_SRCS})
target_link_libraries(kio
        Qt${QT_MAJOR_VERSION}::Core
        Qt${QT_MAJOR_VERSION}::Qml
        KF5::KIOWidgets
        KF5::Notifications
)

if(WIN32 AND BUILD_SHARED_LIBS)
    set_target_properties(kio PROPERTIES PREFIX "")
endif()

install(TARGETS kio DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/kio)

install(FILES qmldir DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/kio)

=== src/qmlcontrols/kquickcontrolsaddons/CMakeLists.txt ===
project(kquickcontrolsaddons)

configure_file(config-kquickcontrolsaddons.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kquickcontrolsaddons.h)

set(kquickcontrolsaddons_SRCS
    clipboard.cpp
    clipboard.h
    columnproxymodel.cpp
    columnproxymodel.h
    eventgenerator.cpp
    eventgenerator.h
    fallbacktaphandler.cpp
    fallbacktaphandler.h
    icondialog.cpp
    icondialog.h
    kcmshell.cpp
    kcmshell.h
    kquickcontrolsaddonsplugin.cpp
    kquickcontrolsaddonsplugin.h
    mimedatabase.cpp
    mimedatabase.h
    mouseeventlistener.cpp
    mouseeventlistener.h
    qiconitem.cpp
    qiconitem.h
    qimageitem.cpp
    qimageitem.h
    qpixmapitem.cpp
    qpixmapitem.h

)

add_library(kquickcontrolsaddonsplugin ${kquickcontrolsaddons_SRCS})

target_link_libraries(kquickcontrolsaddonsplugin
        Qt${QT_MAJOR_VERSION}::Core
        Qt${QT_MAJOR_VERSION}::Quick
        Qt${QT_MAJOR_VERSION}::Qml
        Qt${QT_MAJOR_VERSION}::Gui
        KF5::IconThemes
        KF5::KIOWidgets
        KF5::QuickAddons
        KF5::ConfigCore)

if (HAVE_EPOXY)
    target_sources(kquickcontrolsaddonsplugin PRIVATE plotter.cpp plotter.h)
    target_link_libraries(kquickcontrolsaddonsplugin epoxy::epoxy)
endif()

if(WIN32 AND BUILD_SHARED_LIBS)
    set_target_properties(kquickcontrolsaddonsplugin PROPERTIES PREFIX "")
endif()

install(TARGETS kquickcontrolsaddonsplugin DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/kquickcontrolsaddons)

install(FILES qmldir DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/kquickcontrolsaddons)

=== src/qmlcontrols/kwindowsystemplugin/CMakeLists.txt ===
project(kwindowsystemplugin)

set(kwindowsystemplugin_SRCS
    kwindowsystemplugin.cpp
    kwindowsystemplugin.h
    kwindowsystemproxy.cpp
    kwindowsystemproxy.h

    )

add_library(kwindowsystem ${kwindowsystemplugin_SRCS})
target_link_libraries(kwindowsystem
        Qt${QT_MAJOR_VERSION}::Core
        Qt${QT_MAJOR_VERSION}::Qml
        KF5::WindowSystem
)

if(WIN32 AND BUILD_SHARED_LIBS)
    set_target_properties(kwindowsystem PROPERTIES PREFIX "")
endif()

install(TARGETS kwindowsystem DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/kwindowsystem)

install(FILES qmldir DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/kwindowsystem)

=== debian/changelog ===
kdeclarative (5.92.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.92.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 16 Mar 2022 16:26:14 +0000

kdeclarative (5.91.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.91.0)
  * Update installed files

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 14 Feb 2022 17:07:34 +0000

kdeclarative (5.90.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.90.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 16:46:06 +0000

kdeclarative (5.89.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.89.0)
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 12 Dec 2021 15:15:21 +0000

kdeclarative (5.88.0-1ubuntu1) jammy; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - Keep our symbols files.
    - Don't run tests at build time.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 11:24:21 +0000

kdeclarative (5.88.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.88.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Nov 2021 18:17:43 +0000

kdeclarative (5.87.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.87.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 11 Nov 2021 11:04:58 +0000

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,24 @@
 Source: kdeclarative
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-           Norbert Preining <norbert@preining.info>,
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Norbert Preining <norbert@preining.info>
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.90.0~),
+               extra-cmake-modules (>= 5.92.0~),
                libepoxy-dev,
-               libkf5config-dev (>= 5.90.0~),
-               libkf5globalaccel-dev (>= 5.90.0~),
-               libkf5guiaddons-dev (>= 5.90.0~),
-               libkf5i18n-dev (>= 5.90.0~),
-               libkf5iconthemes-dev (>= 5.90.0~),
-               libkf5kio-dev (>= 5.90.0~),
-               libkf5notifications-dev (>= 5.90.0~),
-               libkf5package-dev (>= 5.90.0~),
-               libkf5widgetsaddons-dev (>= 5.90.0~),
-               libkf5windowsystem-dev (>= 5.90.0~),
+               libkf5config-dev (>= 5.92.0~),
+               libkf5globalaccel-dev (>= 5.92.0~),
+               libkf5guiaddons-dev (>= 5.92.0~),
+               libkf5i18n-dev (>= 5.92.0~),
+               libkf5iconthemes-dev (>= 5.92.0~),
+               libkf5kio-dev (>= 5.92.0~),
+               libkf5notifications-dev (>= 5.92.0~),
+               libkf5package-dev (>= 5.92.0~),
+               libkf5widgetsaddons-dev (>= 5.92.0~),
+               libkf5windowsystem-dev (>= 5.92.0~),
                libqt5sql5-sqlite,
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
@@ -31,8 +31,8 @@
                xvfb,
 Standards-Version: 4.6.0
 Homepage: https://invent.kde.org/frameworks/kdeclarative
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdeclarative
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdeclarative.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdeclarative
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdeclarative
 Rules-Requires-Root: no
 
 Package: kpackagelauncherqml
@@ -66,8 +66,8 @@
 Architecture: any
 Depends: libkf5calendarevents5 (= ${binary:Version}),
          libkf5declarative5 (= ${binary:Version}),
-         libkf5kio-dev (>= 5.90.0~),
-         libkf5package-dev (>= 5.90.0~),
+         libkf5kio-dev (>= 5.92.0~),
+         libkf5package-dev (>= 5.92.0~),
          libkf5quickaddons5 (= ${binary:Version}),
          qtbase5-dev (>= 5.15.2~),
          qtdeclarative5-dev (>= 5.15.2~),

## kdeclarative 5.98.0

=== debian/changelog ===
kdeclarative (5.98.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.98.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Sun, 11 Sep 2022 11:31:09 +0100

kdeclarative (5.97.0-0ubuntu2) kinetic; urgency=medium

  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Sat, 27 Aug 2022 15:18:34 +0100

kdeclarative (5.97.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.97.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Aug 2022 14:03:22 +0100

kdeclarative (5.96.0-0ubuntu3) kinetic; urgency=medium

  * Update symbols for riscv64.

 -- Rik Mills <rikmills@kde.org>  Sat, 30 Jul 2022 19:20:50 +0100

kdeclarative (5.96.0-0ubuntu2) kinetic; urgency=medium

  * Mark some optional=gccinternal symbols to prevent FTBFS

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 29 Jul 2022 13:27:28 +0100

kdeclarative (5.96.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.96.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Jul 2022 16:29:17 +0100

kdeclarative (5.95.0-0ubuntu2) kinetic; urgency=medium

  * Update symbols for riscv64.

 -- Rik Mills <rikmills@kde.org>  Mon, 13 Jun 2022 17:45:20 +0100

kdeclarative (5.95.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.95.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jun 2022 09:54:43 +0100

kdeclarative (5.94.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.94.0)
  * Disable acc test.

 -- Rik Mills <rikmills@kde.org>  Thu, 12 May 2022 16:18:24 +0100

kdeclarative (5.93.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.93.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Apr 2022 08:21:56 +0100

=== debian/control ===
--- 
+++ 
@@ -7,18 +7,18 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.92.0~),
+               extra-cmake-modules (>= 5.98.0~),
                libepoxy-dev,
-               libkf5config-dev (>= 5.92.0~),
-               libkf5globalaccel-dev (>= 5.92.0~),
-               libkf5guiaddons-dev (>= 5.92.0~),
-               libkf5i18n-dev (>= 5.92.0~),
-               libkf5iconthemes-dev (>= 5.92.0~),
-               libkf5kio-dev (>= 5.92.0~),
-               libkf5notifications-dev (>= 5.92.0~),
-               libkf5package-dev (>= 5.92.0~),
-               libkf5widgetsaddons-dev (>= 5.92.0~),
-               libkf5windowsystem-dev (>= 5.92.0~),
+               libkf5config-dev (>= 5.98.0~),
+               libkf5globalaccel-dev (>= 5.98.0~),
+               libkf5guiaddons-dev (>= 5.98.0~),
+               libkf5i18n-dev (>= 5.98.0~),
+               libkf5iconthemes-dev (>= 5.98.0~),
+               libkf5kio-dev (>= 5.98.0~),
+               libkf5notifications-dev (>= 5.98.0~),
+               libkf5package-dev (>= 5.98.0~),
+               libkf5widgetsaddons-dev (>= 5.98.0~),
+               libkf5windowsystem-dev (>= 5.98.0~),
                libqt5sql5-sqlite,
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
@@ -66,8 +66,8 @@
 Architecture: any
 Depends: libkf5calendarevents5 (= ${binary:Version}),
          libkf5declarative5 (= ${binary:Version}),
-         libkf5kio-dev (>= 5.92.0~),
-         libkf5package-dev (>= 5.92.0~),
+         libkf5kio-dev (>= 5.98.0~),
+         libkf5package-dev (>= 5.98.0~),
          libkf5quickaddons5 (= ${binary:Version}),
          qtbase5-dev (>= 5.15.2~),
          qtdeclarative5-dev (>= 5.15.2~),
